package com.dcsoft.system.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 人员设备下发信息对象 sys_people_equipment
 *
 * @author dcsoft
 * @date 2023-06-12
 */
public class SysPeopleEquipment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** Id */
    private Long id;

    /** 人员Id */
    @Excel(name = "人员Id")
    private Long peopleId;

    /** 设备Id */
    @Excel(name = "设备Id")
    private Long equipmentId;

    /** 人员编号对接 */
    @Excel(name = "人员编号对接")
    private String guid;

    /** 人像对接 */
    @Excel(name = "人像对接")
    private String faceGuid;

    /** 访客Id */
    @Excel(name = "访客Id")
    private Long visitorId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPeopleId(Long peopleId)
    {
        this.peopleId = peopleId;
    }

    public Long getPeopleId()
    {
        return peopleId;
    }
    public void setEquipmentId(Long equipmentId)
    {
        this.equipmentId = equipmentId;
    }

    public Long getEquipmentId()
    {
        return equipmentId;
    }
    public void setGuid(String guid)
    {
        this.guid = guid;
    }

    public String getGuid()
    {
        return guid;
    }
    public void setFaceGuid(String faceGuid)
    {
        this.faceGuid = faceGuid;
    }

    public String getFaceGuid()
    {
        return faceGuid;
    }

    public Long getVisitorId() {
        return visitorId;
    }

    public void setVisitorId(Long visitorId) {
        this.visitorId = visitorId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("peopleId", getPeopleId())
            .append("equipmentId", getEquipmentId())
            .append("guid", getGuid())
            .append("faceGuid", getFaceGuid())
            .toString();
    }
}
